FROM postgres:14

# Deutsche Locale und Zeitzone installieren
RUN apt-get update && apt-get install -y locales tzdata \
    && sed -i '/de_DE.UTF-8/s/^# //g' /etc/locale.gen \
    && locale-gen \
    && update-locale LANG=de_DE.UTF-8 \
    && ln -sf /usr/share/zoneinfo/Europe/Berlin /etc/localtime \
    && echo "Europe/Berlin" > /etc/timezone \
    && apt-get clean \
    && rm -rf /var/lib/apt/lists/*

# Locale-Umgebungsvariablen setzen
ENV LANG=de_DE.UTF-8
ENV LANGUAGE=de_DE:de
ENV LC_ALL=de_DE.UTF-8

# Zeitzone setzen
ENV TZ=Europe/Berlin
ENV PGTZ=Europe/Berlin